# ResearchDesktop for PalkovitsLab

This is a desktop application for the PalkovitsLab at RWTH Aachen University. It is designed to help researchers in the lab to keep track of their experiments and to organize their data. The application is written in Python and uses the PyQt5 library for the GUI.

![ResearchDesktop](images/ResearchDesktop.png)


## Installation

To install the application, you need to have Python 3.6 or higher installed on your computer. You can download Python from the official website: https://www.python.org/downloads/

For convenience you can also use the miniforge distribution, which is a minimal conda distribution that includes Python and the conda/mamba package manager. You can download miniforge from the official website: https://github.com/conda-forge/miniforge

After you have installed Python, you can install the required packages by running the following command in your terminal:

```bash
pip install -r requirements.txt
```
or via mamba (faster than pip):
```bash
mamba env create -f  ResDesk.yml    
```

This will install all the required packages in a virtual environment called ResDesk. You can activate the environment by running the following command:

```bash
source activate ResDesk
```

Now you have to clone the repository to your local machine. You can do this by running the following command:

```bash
git clone https://git.rwth-aachen.de/palkovits/researchdesktop.git
```

or download the zip file from the repository and extract it to a folder on your computer.

## Running the Application

If you feel confident with the command line, you can run the application by executing the ResDesk.py file in the ResearchDesktop folder. You can do this by running the following command in your terminal:

```bash
python ResDesk.py
```

### Windows

To run the application on Windows, you can use the provided batch file run_resdesk.bat. This batch file will activate the ResDesk environment and start the application.

### MacOS

To run the application, you can use the provided shell script run_resdesk.sh (MacOs). This script will activate the ResDesk environment and start the application.

Make the script executable by running the following command:

```bash
chmod +x run_resdesk.sh
```

Then, you can run the script with:

```bash
./run_resdesk.sh
```